# -*- coding: utf-8 -*-
from setuphelpers import *


def install():
    # Declaring local variables
    bin_name = glob.glob("*TurboVNC-*.exe")[0]
    if control.architecture == "x64":
        app_uninstallkey = "TurboVNC 64-bit_is1"
    else:
        app_uninstallkey = "TurboVNC_is1"

    # Installing the software
    print("Installing: %s" % bin_name)
    install_exe_if_needed(
        bin_name,
        silentflags="/VERYSILENT",
        key=app_uninstallkey,
        min_version=control.get_software_version(),
    )
